;------------------- Macro ------------------------------
PutChar macro char
	mov dl,char
	mov ah,02
	int 21h
Endm
;------------------- Macro ------------------------------
DisplayString macro string
	mov dx, Offset String
	MOV AH,9
	INT 21H
Endm
;------------------- Macro ------------------------------
OutPort macro port,ByteToOutput
	mov dx,port
	mov al,ByteToOutput
	out dx,al
Endm
;--------------------------------------------------------
;SetBigAdress macro BigAd
;   A0..A23
;
;	mov ax, High Word BigAd
;	mov dx,HiHiPort
;	out dx,al	; A16..A23
;	SetAdress [low Word BigAd]
;Endm
;--------------------------------------------------------
SetAdress macro ad
;   A0..A15
	mov al,low ad
	mov dx,LoPort
	out dx,al

	mov al,high ad
	mov dx,HiPort
	out dx,al
Endm
;--------------------------------------------------------
;    adr  byteToWrite
WriteAdress Macro adr,byteToWrite
	SetAdress adr
	OutPort DataPort,byteToWrite
EndM
;--------------------------------------------------------
IdSimple macro DeviceCode,Size,NameDevice
	db DeviceCode
	dd Size
	db NameDevice
	db '$'
EndM
;--------------------------------------------------------

case macro Parameter,YesRoute     ;  case  Pascal
	cmp al,parameter
	jne $+5
	JMP YesRoute
endm

;--------------------------------------------------------
CaseCall macro Parameter,YesCall     ;  case  Pascal
	cmp al,parameter
	jne $+5
	call YesCall
endm
;--------------------------------------------------------
Jedec6 macro p0,p1,p2,p3,p4,p5   ; 뫠 ᫥⥫쭮  6  
	WriteAdress 5555h,p0 
	WriteAdress 2AAAh,p1
	WriteAdress 5555h,p2
	WriteAdress 5555h,p3
	WriteAdress 2AAAh,p4
	WriteAdress 5555h,p5
endm
;--------------------------------------------------------
