;--------------------------------------------------------
; Handlerin 
; aPoint
; Manufacture 
; device                ந樠஢

wSST:
	mov al,device

	case 07h,wPH29EE010
	case 010h,wSST29EE020
	case 0B5h,wSST39SF010
	case 0B6h,wSST39SF020

	displayString AbortWrite

EndWSST:
	call CloseFile
	call DisableWork
ret
;===============    ⤥  ============
wPH29EE010:
	mov pSize,128D		; PH29EE010    128 
	mov pCounter,_1M/128d	; ꥬ 奬 / ࠧ 
	jmp wJEDEC
ret
;----------------------------------------------------------------
wSST29EE020:
	mov pSize,128D		; SST29EE020    128 
	mov pCounter,_2M/128d	; ꥬ 奬 / ࠧ 
	jmp wJEDEC
;----------------------------------------------------------------
wSST39SF010:
	call eJedec
	jc EndwSST39SF010
	displayString OK
	displayString WriteOn
	mov pSize,256d		; SST39SF010 襬   256 
	mov pCounter,_1M/256d	; ꥬ 奬 / ࠧ 

	jmp EntryWsst39SF010	;  襬  SST 39SF020 

EndwSST39SF010:
       ret

;----------------------------------------------------------------
wSST39SF020:

EntryW49F002U:	;  Winbond W49F002U  筮
	
	call eJedec
	jc EndwSST39SF020
	displayString OK
	displayString WriteOn

	mov pSize,256d		; SST39SF020 襬   256 
	mov pCounter,_2M/256d	; ꥬ 奬 / ࠧ 

EntryWsst39SF010:	;  SST 39SF010  筮

	call ResetAdress

wSST39SF00:
	call ReadPage
	mov cx,pSize
	mov si,offset Buffer

wSST39SF01:
	call Write3SST		; ᠫ 
	call IncrementA		; ᫥騩 
	loop wSST39SF01		;    ?
	dec pCounter		
	jnz wSST39SF00		;     ᠫ.
	
	jmp testWrite	
	

EndwSST39SF020:
	ret

;----------------------------------------------------------------
Write3SST proc near
	WriteAdress 05555h,0AAh
	WriteAdress 02AAAh,055h
	WriteAdress 05555h,0A0h
	OutPort LoPort,AdressLo
	OutPort HiPort,AdressHi
	LodsB
	mov dx,DataPort
	out dx,al
	call WaitToggle
	ret
endp Write3SST

;----------------------------------------------------------------
