        .MODEL  tINY
        .CODE
	org 100h
	.286


include .\inc\const.inc
include .\inc\macro.inc

;///////////////\\\\\\\\\////////////////\\\\\\\\\\\\//////////\
ProgramStart:
	JMP BEGIN
include .\inc\DEBUG.inc	; 窨 ணࠬ ᯮ㥬  ᠭ ணࠬ
Begin:
	cld
	mov ax,cs
	mov ds,ax
	mov es,ax
	call disableWork
	mov Manufacture,0ffh;	
	mov device,0ffh;
	
	mov di,offset SizeChip
	xor ax,ax
	stosw
	stosw		;  SizeChip

include .\inc\prompt.inc	;뢮 ਣ襭
	mov ah,1		;砥 ⢥
	int 21h
	push ax


	displaystring CRLF
	pop ax

cmp al,'i'
	jne Cmp00
	call ProcedureIdent
	jmp ProgramStart
Cmp00:
	cmp al,'I'
	jne Cmp01	
	call ProcedureIdent
	jmp ProgramStart
Cmp01:
	cmp al,'q'
	jne Cmp02
	call EndWork
Cmp02:
	cmp al,'Q'
	jne Cmp03
	call EndWork
Cmp03:
	cmp al,'e'
	jne Cmp04
	call Erease
	jmp ProgramStart
Cmp04:
	cmp al,'E'
	jne Cmp05
	call Erease
	jmp ProgramStart
Cmp05:
	cmp al,'r'
	jne Cmp06
	call ProcedureRead
	jmp ProgramStart
Cmp06:
	cmp al,'R'
	jne Cmp07
	call ProcedureRead
	jmp ProgramStart
cmp07:
	cmp al,'w'
	jne Cmp08
	call ProcedureWrite
	jmp ProgramStart
Cmp08:	
	cmp al,'W'
	jne Cmp99
	call ProcedureWrite
cmp99:
	jmp ProgramStart

include .\inc\read.inc
include .\inc\ident.inc
include .\inc\erease.inc
include .\inc\write.inc

EndMessage:
	mov ah,9h
	int 21h


EndWork:

call DisableWork
        mov   ah,4ch                ;DOS terminate program function
        int   21h


UnknownManufacture db 'ந⥫  ⥭ ',7,'$'

;################################################
; constant and variable

ControlByte	db 011111101B		;  ࠢ饣 ॣ
AdressLo	db 0h		;  A0..A7
AdressHi	db 0h		;  A8..A15
AdressHiHi	db 0h		;  A16.. A23
HandlerIn	dw 0h		; 奭 室 䠩
HandlerOut	dw 0h		; 奭 室 䠩
Buffer		db 1024d dup (?)	;   
BlockCounter	dw 0h		; 稪   buffer 

pCounter	dw 0h		; 稪 ࠭
pSize		dw 0h		; ࠧ ࠭

SizeChip	dd 0h		; ࠧ 稯  

;  ६  HWIdent
Manufacture 	db 0FFh		; ந⥫  0
Device		db 0FFh		;  奬  1
Byte3		db 0FFh		; ⨩    2


IncFlag db 0	; 䫠 ९ 稪 

NameOut db 'Output.bin',0
NameIn 	db 'etalon.bin',0

;------------------------------------------------
DisableWork:
	mov dx,ControlPort
	mov al,11111101B	;  
	out dx,al
	mov ControlByte,al
ret
;------------------------------------------------
EnableWork:
	mov dx,ControlPort
	mov al,ControlByte
	and al,11111100b	; 室 S not D0 = 1
				; 室 C D1 = 0
	out dx,al
	or al,00000010b	; 室 C D1 = 1
	out dx,al		; ⥫ ९ 砥 奬
	mov ControlByte,al
	call Pause50ms
ret
;------------------------------------------------
IncrementA:
	push ax
	push dx

	mov al,AdressLo
	inc al
	mov AdressLo,al
	mov dx,LoPort
	out dx,al
	jnz EndIncrementA
IncHi:
	mov al,AdressHi
	inc al
	mov AdressHi,al
	mov dx,HiPort
	out dx,al
	jnz EndIncrementA
IncHiHi:
	mov al,AdressHiHi
	inc al
	cmp al,0
	je ErrorAdress
	mov AdressHiHi,al
	mov dx,HiHiPort
	out dx,al

EndIncrementA:	
	pop dx
	pop ax
ret
ErrorAdress:

;  楤 㦭  ⫠ ணࠬ
; ᫨ IncrementA 맢   ࠧ 祬 ࠧ 稯+1
;  ᢨ⥫   ࠢ쭮 맮 IncrementA

	cmp IncFlag,0	; ᫥ ࠧ 맢
	je SetFlag	;  ⠭ 䫠, ᫥騩 맮  
			;   0 訡祭
	DisplayString ErrorAdressMessage
jmp EndWork
SetFlag:
	mov IncFlag,0FFh; ᫥ ࠢ 맮, ⠭ 䫠
	jmp EndIncrementA
;------

;------------------------------------------------
; ⠪  Intel 28F001  ⠪  㣨 ⨯ 稯
;  ⢮  ᯮ  ᨣ #Power down,
;#Reset  㣨  ணࠬ ResetAdress 뢠 
;  0  ⮫쪮   A0   ࠢ SizeChip ⠫
;⠢  '1'
;------------------------------------------------
ResetAdress:
	pusha
	mov si,offset SizeChip
	lodsb
	lodsb
	lodsb	;  AL ࠧ 稯 01 = 512KBit  /8 = 64Kbyte
		; 		   02 = 1MBit    /8 = 128kbyte
		; 		   04 = 2MBit    /8 = 256kbyte
		;  ࠧ㬥   ⮫쪮  

	cmp al,0 ; ᫨      A0..A15 = 0 A16..A23 = 1
	jne ResetAdress0
HiHiUp:
	mov al,0FFh
	jmp AllReady

ResetAdress0:
	xor al,0FFh	; ⠭   ᯮ㥬   "1"
	xor cl,cl
Test0:
	inc cl		; 稭   ⠭  0
	shr al,1	
	jc Test0 	; 諨 0   cl   +1

	dec cl
	jc HiHiUp	; ஢ઠ   쥬 <= 512KBit

	shl Al,cl	; ⥯  al  㦭  ஬ D7  "1"

	or al,10000000b 

AllReady:	
	mov AdressHiHi,al
	mov AdressLo,0h
	mov AdressHi,0h

	OutPort LoPort,AdressLo
	OutPort HiPort,AdressHi
	OutPort HiHiPort,AdressHiHi
	mov IncFlag,0	; 뢠 䫠   ९ 
	popa
ret
;------------------------------------------------
BinHex:
	mov ah,al
	and al,00001111B
	cmp al,9
	jg Letter
	add al,30h
	jmp Exchange
Letter:
	add al,41h-10D
Exchange:
	xchg al,ah
	shr al,4
	and al,00001111B
	cmp al,9
	jg Letter2
	add al,30h
	ret
Letter2:
	add al,41h-10D
ret
;--------------------------------------------------------
WriteAlHex:
	call BinHex
	push ax
mov dl,al
	mov ah,2
	int 21h
	pop ax
mov dl,ah
	mov ah,2
	int 21h
mov dl,' '
	mov ah,2
	int 21h
ret
;--------------------------------------------------------
;     뢮  ࠭  奬
; Manufacture , Device   樠஢ (   0FFh)
;----------------------------------------------------------------
HWIdent:               ; ⭠ (hardware) 䨪 ன
	call DisableWork	; 몫 ⠭   ࠡ ॣ஢
	call ResetAdress	; ⮢  ࠡ ணࠬ
	call EnableWork		; 襭 ࠡ ॣ஢

;	outPort HiHiPort,0FFh

	outPort HiHiPort,0h

;	outPort HiPort,0FFh
	outPort HiPort,01h
	outPort LoPort,0h

	
	call setVid12v


	mov dx,DataPort
	in al,dx
	mov Manufacture,al	;  ந⥫
	
;	cmp al,07Fh	; EON ? 
;	jne NotEon

;	call setVidNormal

;	outPort HiHiPort,0h
;	outPort HiPort,1h	;  EON 㦭 ⠢ A8  1

;	call setVid12v

NotEON:

	outPort LoPort,1h
	mov dx,DataPort
	in al,dx
	mov Device,al		;   稯

	outPort LoPort,2h
	mov dx,DataPort
	in al,dx
	mov Byte3,al	; ⨩   MX=01 饭

call DisableWork
ret

;----------------------------------------------------
include .\inc\ShowId.inc 
include .\inc\Files.inc		; 楤 ࠡ  䠩
include .\inc\Flash.inc		;    Flash
include .\inc\limiter.inc	; ࠭祭  訢 Flash
include .\inc\pause.inc		; ணࠬ ॠ樨 থ
include .\inc\VPP.inc		; ணࠬ ࠢ 殮 ணࠬ஢
;----------------------------------------------------

TempNotWork db 10d,13d,'  ࠡ⠥ $'
ErrorAdressMessage db 10d,13d,'稪  ९',7,'$'
CRLF db 10d,13d,'$'

END   ProgramStart
